<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildCacheServiceFactory.Describer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildCacheServiceFactory.Describer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/caching/MapBasedBuildCacheService.html" title="class in org.gradle.caching"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/caching/BuildCacheServiceFactory.Describer.html" target="_top">Frames</a></li>
<li><a href="BuildCacheServiceFactory.Describer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.caching</div>
<h2 title="Interface BuildCacheServiceFactory.Describer" class="title">Interface BuildCacheServiceFactory.Describer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching">BuildCacheServiceFactory</a>&lt;<a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="type parameter in BuildCacheServiceFactory">T</a> extends <a href="../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static interface <span class="strong">BuildCacheServiceFactory.Describer</span></pre>
<div class="block">Builder-style object that allows build cache service factories to describe the cache service.
 <p>
 The description is for human consumption.
 It may be logged and displayed by tooling.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html#config(java.lang.String,%20java.lang.String)">config</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
      <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets a configuration param of the cache being used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html#type(java.lang.String)">type</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>
<div class="block">Sets the description of the type of cache being used.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="type(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a>&nbsp;type(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
<div class="block">Sets the description of the type of cache being used.
 <p>
 The value should not include particulars about the cache; only a human friendly description of the kind of cache.
 For example, instead of <code>"HTTP @ https://some/cache"</code> it should be just <code>"HTTP"</code>.
 Particular configuration should be set via <a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html#config(java.lang.String,%20java.lang.String)"><code>config(String, String)</code></a>.
 <p>
 <a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching"><code>BuildCacheServiceFactory</code></a> implementations should always return the same value for the same cache “type”.
 All implementations should call this method.
 <p>
 Values should be lowercase, except where using an acronym (e.g. HTTP).
 <p>
 Subsequent calls to this method replace the previously set value.</div>
</li>
</ul>
<a name="config(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>config</h4>
<pre><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a>&nbsp;config(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets a configuration param of the cache being used.
 <p>
 e.g. <code>config("location", "https://some/cache")</code>.
 <p>
 Values may be logged.
 Secrets (e.g. passwords) should not be declared with this method.
 <p>
 Implementations should describe their config where possible.
 <p>
 Subsequent calls to this method with the same <code>name</code> argument will replace
 the previously supplied <code>value</code> argument.
 <p>
 Subsequent calls to this method with different <code>name</code> arguments will append values.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/caching/MapBasedBuildCacheService.html" title="class in org.gradle.caching"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/caching/BuildCacheServiceFactory.Describer.html" target="_top">Frames</a></li>
<li><a href="BuildCacheServiceFactory.Describer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
